| Home | Libraries | People | FAQ | More

##### static_buffer::consume

Remove bytes from beginning of the readable bytes.

###### Synopsis

    void
    consume(
        std::size_t n);

###### Description

Removes n bytes from the beginning of the readable bytes.

All buffers sequences previously obtained using `data` or `prepare` are invalidated.

###### Parameters

Name | Description
--- | ---
`n` | The number of bytes to remove. If this number is greater than the number of readable bytes, all readable bytes are removed.

###### Exception Safety

No-throw guarantee.